#define RES_H_INCLUDED

#include "res.h"



//SDL_Surface *Card_imgs[100];


int Load_Game_Resources(SDL_Surface *scr)
{

    for (int i=0;i<100;i++)
    {
        char ss[50];
        memset(ss,0,50);
        sprintf(ss,"./GraphiX/Cards/Card_%d.bmp",i+1);
        Card_imgs[i]=IMG_Load(ss);
        SDL_SetColorKey(Card_imgs[i],SDL_SRCCOLORKEY,SDL_MapRGB(scr->format,0,0,0));
    };

    for (int i=0;i<8;i++)
    {
        char ss[50];
        memset(ss,0,50);
        sprintf(ss,"./GraphiX/Ex/Coin_%d.bmp",i);
        Coin[i]=IMG_Load(ss);
        SDL_SetColorKey(Coin[i],SDL_SRCCOLORKEY,SDL_MapRGB(scr->format,0,0,0));
    };

    blRobe=IMG_Load("./GraphiX/Ex/BlRobe.bmp");
    SDL_SetColorKey(blRobe,SDL_SRCCOLORKEY,SDL_MapRGB(scr->format,0,0,0));
    rdRobe=IMG_Load("./GraphiX/Ex/RdRobe.bmp");
    SDL_SetColorKey(rdRobe,SDL_SRCCOLORKEY,SDL_MapRGB(scr->format,0,0,0));
    blk_crd_img=IMG_Load("./GraphiX/Ex/Blk_crd.bmp");
    wht_crd_img=IMG_Load("./GraphiX/Ex/Wht_crd.bmp");
    enm_Card=IMG_Load("./GraphiX/Ex/Robe.bmp");
    SDL_SetColorKey(enm_Card,SDL_SRCCOLORKEY,SDL_MapRGB(scr->format,0,0,0));

    Blockedcrd_1=IMG_Load("./GraphiX/Ex/Block_1.bmp");
    SDL_SetColorKey(Blockedcrd_1,SDL_SRCCOLORKEY,SDL_MapRGB(scr->format,0,0,0));
    Blockedcrd_2=IMG_Load("./GraphiX/Ex/Block_2.bmp");
    SDL_SetColorKey(Blockedcrd_2,SDL_SRCCOLORKEY,SDL_MapRGB(scr->format,0,0,0));

    for (uint8_t i=0;i<8;i++)
    {
        Blockedcrd_1_hlp[i]=zoomSurface(Blockedcrd_1,(1.5-0.0625*i),(1.5-0.0625*i),1);
        Blockedcrd_2_hlp[i]=zoomSurface(Blockedcrd_2,(1.5-0.0625*i),(1.5-0.0625*i),1);
    }


    Boom_img=LoadAnimImage("./GraphiX/Ex/Boom.bmp",8);
    SDL_SetColorKey(Boom_img->img,SDL_SRCCOLORKEY,SDL_MapRGB(scr->format,0,0,0));



    Arrows=LoadAnimImage("./GraphiX/Ex/Arrows.bmp",8);
    SDL_SetColorKey(Arrows->img,SDL_SRCCOLORKEY,SDL_MapRGB(scr->format,0,0,0));
    whArrows=LoadAnimImage("./GraphiX/Ex/WhArrows.bmp",8);
    SDL_SetColorKey(whArrows->img,SDL_SRCCOLORKEY,SDL_MapRGB(scr->format,0,0,0));

    cardLetters=LoadAnimImage("./GraphiX/Ex/Card_Numb.bmp",19);
    SDL_SetColorKey(cardLetters->img,SDL_SRCCOLORKEY,SDL_MapRGB(scr->format,0,0,0));



    Slash_img=IMG_Load("./GraphiX/Ex/Slash.bmp");
    SDL_SetColorKey(Slash_img,SDL_SRCCOLORKEY,SDL_MapRGB(scr->format,0,0,0));

    Slash_Red_Numbers=LoadAnimImage("./GraphiX/Ex/Red_0..9.bmp",10);
    SDL_SetColorKey(Slash_Red_Numbers->img,SDL_SRCCOLORKEY,SDL_MapRGB(scr->format,0,0,0));
    Slash_Blue_Numbers=LoadAnimImage("./GraphiX/Ex/Blue_0..9.bmp",10);
    SDL_SetColorKey(Slash_Blue_Numbers->img,SDL_SRCCOLORKEY,SDL_MapRGB(scr->format,0,0,0));


    Card_ANumb=LoadAnimImage("./GraphiX/Ex/Card_ANumb.bmp",10);
    SDL_SetColorKey(Card_ANumb->img,SDL_SRCCOLORKEY,SDL_MapRGB(scr->format,0,0,0));


    GuiBkg=IMG_Load("./GraphiX/Ex/Gui_Bkg.bmp");
    GuiCorner=LoadAnimImage("./GraphiX/Ex/Gui_Corner.bmp",4);
    SDL_SetColorKey(GuiCorner->img,SDL_SRCCOLORKEY,SDL_MapRGB(scr->format,0,0,0));
    GuiGor=IMG_Load("./GraphiX/Ex/Gui_Gor.bmp");
    GuiGor2=IMG_Load("./GraphiX/Ex/Gui_Gor2.bmp");
    GuiVert=IMG_Load("./GraphiX/Ex/Gui_Vert.bmp");
    GuiVert2=IMG_Load("./GraphiX/Ex/Gui_Vert2.bmp");


    Combo=IMG_Load("./GraphiX/Ex/Combo.bmp");
    SDL_SetColorKey(Combo,SDL_SRCCOLORKEY,SDL_MapRGB(scr->format,0,0,0));
    Combo_Numb=LoadAnimImage("./GraphiX/Ex/Combo_number.bmp",10);
    SDL_SetColorKey(Combo_Numb->img,SDL_SRCCOLORKEY,SDL_MapRGB(scr->format,0,0,0));




///// Init FONT
    Font = LoadAnimImage("./GraphiX/Ex/Symbols.bmp",95);
    SDL_SetColorKey(Font->img,SDL_SRCCOLORKEY,SDL_MapRGB(scr->format,0,0,0));

    CyrFont = LoadAnimImage("./GraphiX/Ex/Symbols2.bmp",64);
    SDL_SetColorKey(CyrFont->img,SDL_SRCCOLORKEY,SDL_MapRGB(scr->format,0,0,0));

    InitFonts();
/////


    aStrelka=LoadAnimImage("./GraphiX/Ex/Strelka.bmp",8);
    SDL_SetColorKey(aStrelka->img,SDL_SRCCOLORKEY,SDL_MapRGB(scr->format,0,0,0));
    iStrelka=LoadAnimImage("./GraphiX/Ex/iStrelka.bmp",8);
    SDL_SetColorKey(iStrelka->img,SDL_SRCCOLORKEY,SDL_MapRGB(scr->format,0,0,0));


    Select_img=IMG_Load("./GraphiX/Ex/PSelect.bmp");
    SDL_SetColorKey(Select_img,SDL_SRCCOLORKEY,SDL_MapRGB(scr->format,0,0,0));


///////////BGK///////////
    BackGround=IMG_Load("./GraphiX/BKG/STR0121.bmp");
    BackGround2=IMG_Load("./GraphiX/BKG/STR0122.bmp");
    SquareBkg=IMG_Load("./GraphiX/BKG/SquareSoft.bmp");
    FFIXBkg=IMG_Load("./GraphiX/BKG/FinalFantasy.bmp");
    FFIXBkgTM=IMG_Load("./GraphiX/BKG/FinalFantasy+Tetra_Master.bmp");
    Blk_Bkg=IMG_Load("./GraphiX/BKG/Blk_Bkg.bmp");
    Wht_Bkg=IMG_Load("./GraphiX/BKG/Wht_Bkg.bmp");
    Select_Bkg=IMG_Load("./GraphiX/BKG/Select.bmp");
    Save_Bkg=IMG_Load("./GraphiX/BKG/Save.bmp");
    Load_Bkg=IMG_Load("./GraphiX/BKG/Load.bmp");
    Delete_Bkg=IMG_Load("./GraphiX/BKG/Delete.bmp");
    Shop_Bkg=IMG_Load("./GraphiX/BKG/Magazine.bmp");
    Cards_BKG=IMG_Load("./GraphiX/BKG/Cards_BKG.bmp");
    Intro_BKG=IMG_Load("./GraphiX/BKG/Intro.bmp");

///////----BKG----/////////


    return 0;
}
